[fxruby-users] fxruby installation woes...

James Johnson lyle at lylejohnson.name
Wed Oct 14 15:18:50 EDT 2009

On Oct 14, 2009, at 1:52 PM, Allen A. Harper wrote:

> I am having trouble getting fxruby going again.  I used to have it  
> running fine on Leopard.  Then, I upgraded to Snow Leopard and also  
> upgraded ruby... and broke everything...

This seems to be a common theme (and not just for FXRuby).

I did get it to build just the other day using MacPorts 1.8.1 (the  
latest release) by basically blowing away my previous MacPorts  
installation completely and starting over from scratch, e.g.

	sudo rm -rf /opt/local
	<... download and install MacPorts 1.8.1 for Snow Leopard... >
	sudo port -d sync
	sudo port install rb-fxruby

However, I'm not entirely confident that it would work again if I  
tried it right this moment.

This is one of those times that I would kill to be able to run OS X in  
a virtual machine, so that I could experiment without breaking my own  
machine in the process.

> Also, is there a one stop gem install for fx-ruby or dmg install in  
> the works?

I built a binary gem for FXRuby 1.6.19 on Leopard (back when I was  
running Leopard). It was compatible with the version of Ruby that  
shipped with Leopard. Unfortunately, the tricks I used to build  
Universal libraries under Leopard don't seem to work under Snow  
Leopard (and again, I'm not the only one running into this problem).

"FXRuby: Create Lean and Mean GUIs with Ruby"
Now available from the Pragmatic Bookshelf!

More information about the fxruby-users mailing list